public interface LogicalSystem {

	public boolean trueOrFalse( Object o );
	public String truthValueToEnglish( Object o ) ;

	public Object interpretNot( Object o1 ) ;
	public Object interpretAnd( Object o1, Object o2 ) ;
	public Object interpretOr( Object o1, Object o2 ) ;
	public Object interpretImplies( Object o1, Object o2 ) ;
	public Object interpretIff( Object x, Object y ) ;

	public Object getCorrespondingNumberFormat( String number_string );
	public Object getTrueValue( );
	public Object getFalseValue( );
	public int getNTruthValues( ) ;
	public String getSystemName( );
	public boolean truthTableConstructable( );

}